SessionHandler::open
SessionHandler::write
SessionHandler
PHP Manual

# SessionHandler::read

(PHP 5 >= 5.4.0)

SessionHandler::read — Read session data

### Description

public string SessionHandler::read ( string `$session_id` )

Reads the session data from the session storage, and returns the result back to PHP for internal processing. This method is called automatically by PHP when a session is started (either automatically or explicity with session_start() and is preceeded by an internal call to the SessionHandler::open().

This method wraps the internal PHP save handler defined in the session.save_handler ini setting that was set before this handler was set by session_set_save_handler().

If this class is extended by inheritiance, calling the parent `read` method will invoke the wrapper for this method and therefor invoke the associated internal callback. This allows the method to be overidden and or intercepted and filtered (for example, decrypting `$data` value returned by the parent `read` method).

For more information on what this method is expected to do, please refer to the documentation at SessionHandlerInterface::read().

### Parameters

`session_id`

  The session id to read data for.

### Return Values

Returns an encoded string of the read data. If nothing was read, it must return an empty string. Note this value is returned internally to PHP for processing.

### See Also

- The session.serialize_handler configuration directive.

SessionHandler::open
SessionHandler::write
SessionHandler
PHP Manual